##// END OF EJS Templates
.hgtags: remove accidental unused double tag of 0.4.0rc1...
.hgtags: remove accidental unused double tag of 0.4.0rc1 Initially, when tagging 0.4.0rc1 I made a mistake locally, fixed it, then stripped the tagging commit, and retagged. However, it seems something went wrong in this procedure and the original commit also is shown in .hgtags. This commit never got pushed, is hidden (obsolete) in my local repository, so remove the corresponding line in .hgtags to avoid any confusion.

File last commit:

r6509:2c3d3009 default
r7529:42383fe2 default
Show More
kallithea-daemon-debian
90 lines | 1.7 KiB | text/plain | TextLexer
/ init.d / kallithea-daemon-debian
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 #!/bin/sh -e
########################################
#### THIS IS A DEBIAN INIT.D SCRIPT ####
########################################
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 ### BEGIN INIT INFO
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333 # Provides: kallithea
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 # Required-Start: $all
# Required-Stop: $all
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: starts instance of kallithea
# Description: starts instance of kallithea using start-stop-daemon
### END INIT INFO
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 APP_NAME="kallithea"
APP_HOMEDIR="opt"
APP_PATH="/$APP_HOMEDIR/$APP_NAME"
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 CONF_NAME="production.ini"
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 PID_PATH="$APP_PATH/$APP_NAME.pid"
LOG_PATH="$APP_PATH/$APP_NAME.log"
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 PYTHON_PATH="/$APP_HOMEDIR/$APP_NAME-venv"
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 RUN_AS="root"
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Mads Kiilerich
gearbox: replace paster with something TurboGears2-ish that still works with the Pylons stack...
r6509 DAEMON="$PYTHON_PATH/bin/gearbox"
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 DAEMON_OPTS="serve --daemon \
--user=$RUN_AS \
--group=$RUN_AS \
--pid-file=$PID_PATH \
Mads Kiilerich
gearbox: replace paster with something TurboGears2-ish that still works with the Pylons stack...
r6509 --log-file=$LOG_PATH -c $APP_PATH/$CONF_NAME"
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 start() {
echo "Starting $APP_NAME"
PYTHON_EGG_CACHE="/tmp" start-stop-daemon -d $APP_PATH \
--start --quiet \
--pidfile $PID_PATH \
--user $RUN_AS \
--exec $DAEMON -- $DAEMON_OPTS
}
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 stop() {
echo "Stopping $APP_NAME"
start-stop-daemon -d $APP_PATH \
--stop --quiet \
--pidfile $PID_PATH || echo "$APP_NAME - Not running!"
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 if [ -f $PID_PATH ]; then
rm $PID_PATH
fi
}
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 status() {
echo -n "Checking status of $APP_NAME ... "
pid=`cat $PID_PATH`
status=`ps ax | grep $pid | grep -ve grep`
if [ "$?" -eq 0 ]; then
echo "running"
else
echo "NOT running"
fi
}
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333
Bradley M. Kuhn
Rename init scripts and fix references inside them
r4190 case "$1" in
status)
status
;;
start)
start
;;
stop)
stop
;;
restart)
echo "Restarting $APP_NAME"
### stop ###
stop
wait
### start ###
start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
Mads Kiilerich
scripts: apply whitespace cleanup to more files - opt out instead of opt in
r6333 esac